-- a_not_wrapped.sql
SELECT name, type 
  FROM 
    (SELECT DISTINCT name, type
      FROM user_source
     WHERE type IN ('PACKAGE', 'PACKAGE BODY')
    MINUS
    SELECT DISTINCT name, type
      FROM user_source
     WHERE type IN ('PACKAGE', 'PACKAGE BODY')
       AND INSTR (UPPER (text), 'WRAPPED') > 0)
 WHERE UPPER(name) IN ('ZMP_ZAJ2')
 ORDER BY name;
